# Interface TcpSocketConnectOpts

#### Hierarchy

- ConnectOpts
  - TcpSocketConnectOpts

#####
Index

### Properties

autoSelectFamily?
autoSelectFamilyAttemptTimeout?
family?
hints?
host?
keepAlive?
keepAliveInitialDelay?
localAddress?
localPort?
lookup?
noDelay?
onread?
port

## Properties

### `Optional` autoSelectFamily

autoSelectFamily?: boolean

#### Since

v18.13.0

### `Optional` autoSelectFamilyAttemptTimeout

autoSelectFamilyAttemptTimeout?: number

#### Since

v18.13.0

### `Optional` family

family?: number

### `Optional` hints

hints?: number

### `Optional` host

host?: string

### `Optional` keepAlive

keepAlive?: boolean

### `Optional` keepAliveInitialDelay

keepAliveInitialDelay?: number

### `Optional` localAddress

localAddress?: string

### `Optional` localPort

localPort?: number

### `Optional` lookup

lookup?: LookupFunction

### `Optional` noDelay

noDelay?: boolean

### `Optional` onread

onread?: OnReadOpts

If specified, incoming data is stored in a single buffer and passed to the supplied callback when data arrives on the socket. Note: this will cause the streaming functionality to not provide any data, however events like 'error', 'end', and 'close' will still be emitted as normal and methods like pause() and resume() will also behave as expected.

Inherited from ConnectOpts.onread

### port

port: number

Generated using TypeDoc